package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 运输订单第二个 mapper
 * @ author    :TXF
 * @ time      :2021/12/3 13:10
 */
@Mapper
public interface OmstruckOrderSeparateMapper {
    //通过订单Id 查询关联的线路子表顺序
    List<Map<String, Object>> getLineMesByOrderId(Integer orderId);

    //通过运输订单Id更改订单状态
    int updateOrderStatusByOrderNum(Map<String, Object> map);

    //通过运输订单Id查询订单所有信息
    Map<String, Object> getOmstruckOrderResult(BigDecimal orderId);


}
