package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.TmsTruckFeign;
import com.steerinfo.dil.mapper.OmstruckOrderSeparateMapper;
import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/12/3 15:07
 */

@RestController
@RequestMapping("/${api.version}/omstruckorderseparates")
public class OmstruckOrderSeparateController extends BaseRESTfulController {

    @Autowired
    private OmstruckOrderSeparateMapper omstruckOrderSeparateMapper;

    @Autowired
    private TmsTruckFeign tmsTruckFeign;

    @PostMapping("/getOrderMes")
    public RESTfulResult getMes(@RequestBody(required = false) Map<String, Object> map){
        Integer integer = tmsTruckFeign.addTotalResult(map);
        return success(integer);
    }
}
